Page MenuHomePhabricator

Extension Push failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

18:38:26 There were 4 failures:
18:38:26 
18:38:26 1) ApiDocumentationTest::testDocumentationExists with data set "Module push with MiserMode=false, AllowCategorizedRecentChanges=false" ('push', array(false, false))
18:38:26 Module description message apihelp-push-description exists
18:38:26 Failed asserting that false is true.
18:38:26 
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:51
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:80
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/MediaWikiTestCase.php:399
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/maintenance/doMaintenance.php:111
18:38:26 
18:38:26 2) ApiDocumentationTest::testDocumentationExists with data set "Module push with MiserMode=true, AllowCategorizedRecentChanges=true" ('push', array(true, true))
18:38:26 Module description message apihelp-push-description exists
18:38:26 Failed asserting that false is true.
18:38:26 
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:51
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:80
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/MediaWikiTestCase.php:399
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/maintenance/doMaintenance.php:111
18:38:26 
18:38:26 3) ApiDocumentationTest::testDocumentationExists with data set "Module pushimages with MiserMode=false, AllowCategorizedRecentChanges=false" ('pushimages', array(false, false))
18:38:26 Module description message apihelp-pushimages-description exists
18:38:26 Failed asserting that false is true.
18:38:26 
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:51
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:80
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/MediaWikiTestCase.php:399
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/maintenance/doMaintenance.php:111
18:38:26 
18:38:26 4) ApiDocumentationTest::testDocumentationExists with data set "Module pushimages with MiserMode=true, AllowCategorizedRecentChanges=true" ('pushimages', array(true, true))
18:38:26 Module description message apihelp-pushimages-description exists
18:38:26 Failed asserting that false is true.
18:38:26 
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:51
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/structure/ApiDocumentationTest.php:80
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/tests/phpunit/MediaWikiTestCase.php:399
18:38:26 /srv/jenkins-workspace/workspace/mwext-testextension-hhvm-composer/src/maintenance/doMaintenance.php:111
18:38:26 
18:38:26 FAILURES!

Details

Related Gerrit Patches:
mediawiki/extensions/Push : masterFix extension Push failing tests

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJan 10 2017, 6:42 PM
DatGuy claimed this task.Jan 14 2017, 1:24 PM

Change 332044 had a related patch set uploaded (by DatGuy):
Fix extension Push failing tests

https://gerrit.wikimedia.org/r/332044

Umherirrender closed this task as Resolved.Jan 28 2017, 9:08 PM

Change 332044 merged by jenkins-bot:
Fix extension Push failing tests

https://gerrit.wikimedia.org/r/332044